cURL
curl --request PUT \
--url https://api.novacal.io/v1/event-types/{eventType}/booking-forms/update-order \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fields": [
{
"id": 123,
"position": 1
}
]
}
'import requests
url = "https://api.novacal.io/v1/event-types/{eventType}/booking-forms/update-order"
payload = { "fields": [
{
"id": 123,
"position": 1
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({fields: [{id: 123, position: 1}]})
};
fetch('https://api.novacal.io/v1/event-types/{eventType}/booking-forms/update-order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": 123,
"identifier": "<string>",
"label": "<string>",
"placeholder": "<string>",
"is_required": true,
"is_active": true,
"position": 1,
"options": [
"<string>"
]
}
]
}Booking Forms
Update Booking Form Field Order
Reorder booking form fields for a Novacal event type by updating field positions in a single API request with ordered IDs.
PUT
/
v1
/
event-types
/
{eventType}
/
booking-forms
/
update-order
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of event type
Body
application/json
Ordered booking form field positions
Show child attributes
Show child attributes
⌘I